Pistis
API referenceChanging a session

Stop the turn

POST
/sessions/{id}/cancel

Stops the turn and drops waiting messages. On a flow run's own session it also stops the run and every session it started.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

Response Body

Stopped

application/json
  1. response
ok*unknown
Example Request
curl -X POST 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/cancel'
Example Response
{  "ok": true}